Tags
Batch delete tags
Delete multiple tags in a single request by providing an array of tag IDs.
POST /v1/tags/batch-delete
Request body
Content-Type: application/json
tagIds
array<string (uuid)>
deleteAll
boolean
Example
{
"tagIds": [
"00000000-0000-0000-0000-000000000000"
],
"deleteAll": false
}
Responses
200 — Successful response
Content-Type: application/json
error
boolean required
data
object required
data.count
integer required
data.tag_ids
array<string (uuid)> required
Example
{
"error": false,
"data": {
"count": 0,
"tag_ids": [
"00000000-0000-0000-0000-000000000000"
]
}
}
400 — Request body failed validation.
Content-Type: application/json
(body)
any
401 — Missing or invalid API key.
Content-Type: application/json
(body)
any
403 — Valid key, insufficient permission.
Content-Type: application/json
(body)
any
404 — Resource does not exist.
Content-Type: application/json
(body)
any
409 — Request conflicts with the current state of the resource.
Content-Type: application/json
(body)
any
429 — Rate limit exceeded.
Content-Type: application/json
(body)
any
500 — Unexpected server error.
Content-Type: application/json
(body)
any
Code samples
curl https://api.prod.getdex.com/v1/tags/batch-delete \
--request POST \
--header 'Authorization: Bearer YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"tagIds": [
"00000000-0000-0000-0000-000000000000"
],
"deleteAll": false
}'
fetch('https://api.prod.getdex.com/v1/tags/batch-delete', {
method: 'POST',
headers: {
Authorization: 'Bearer YOUR_API_KEY',
'Content-Type': 'application/json'
},
body: JSON.stringify({
tagIds: ['00000000-0000-0000-0000-000000000000'],
deleteAll: false
})
})
requests.post(
"https://api.prod.getdex.com/v1/tags/batch-delete",
headers={
"Authorization": "Bearer YOUR_API_KEY",
"Content-Type": "application/json"
},
json={
"tagIds": [
"00000000-0000-0000-0000-000000000000"
],
"deleteAll": False
}
)

